<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myCommunicationEventProspectLabel" jhiTranslate="mpmApp.communicationEventProspect.home.createOrEditLabel">Create or edit a Communication Event Prospect</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!communicationEventProspect.idCommunicationEvent">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="communicationEventProspect.idCommunicationEvent" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEventProspect.idProspect" for="field_idprospect">Idprospect</label>
            <input type="text" class="form-control" name="idProspect" id="field_idProspect"
                [(ngModel)]="communicationEventProspect.idProspect"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEventProspect.interest" for="field_interest">Interest</label>
            <input type="text" class="form-control" name="interest" id="field_interest"
                [(ngModel)]="communicationEventProspect.interest"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEventProspect.qty" for="field_qty">Qty</label>
            <input currencyMask class="form-control" name="qty" id="field_qty"
                [(ngModel)]="communicationEventProspect.qty"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEventProspect.eventType" for="field_eventType">Event Type</label>
            <select class="form-control" id="field_eventType" name="eventType" [(ngModel)]="communicationEventProspect.eventTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="eventTypeOption.idEventType" *ngFor="let eventTypeOption of eventtypes; trackBy: trackEventTypeById">{{eventTypeOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEventProspect.saleType" for="field_saleType">Sale Type</label>
            <select class="form-control" id="field_saleType" name="saleType" [(ngModel)]="communicationEventProspect.saleTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="saleTypeOption.idSaleType" *ngFor="let saleTypeOption of saletypes; trackBy: trackSaleTypeById">{{saleTypeOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEventProspect.color" for="field_color">Color</label>
            <select class="form-control" id="field_color" name="color" [(ngModel)]="communicationEventProspect.colorId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEventProspect.product" for="field_product">Product</label>
            <select class="form-control" id="field_product" name="product" [(ngModel)]="communicationEventProspect.productId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
